import 'dart:convert';
import 'package:http/http.dart' as http;
import 'package:rogapp/utils/const.dart';


class ActionService{

  static Future<Map<String, dynamic>>  makeAction(int user_id, int location_id, bool wanttogo, bool like, bool checkin) async {
    print("----- action is ---- ${like}-- ${wanttogo}-- ${checkin}");
    Map<String, dynamic> cats = {};
    String server_url = ConstValues.currentServer();
    String url = "${server_url}/api/makeaction/?user_id=${user_id}&location_id=${location_id}&wanttogo=${wanttogo}&like=${like}&checkin=${checkin}";
    //String url = "http://localhost:8100/api/makeaction/?user_id=${user_id}&location_id=${location_id}&wanttogo=${wanttogo}&like=${like}&checkin=${checkin}";
    print('++++++++${url}');
     print("url is ------ ${url}");
    final http.Response response = await http.get(
      Uri.parse(url),
      headers: <String, String>{
        'Content-Type': 'application/json; charset=UTF-8',
      }
    );

    if (response.statusCode == 200) {
      cats = json.decode(utf8.decode(response.bodyBytes));
    }
    return cats;
  }


  static Future<List<dynamic>?>  userAction(int user_id, int location_id) async {
    List<dynamic> cats = [];
    String server_url = ConstValues.currentServer();
    String url = '${server_url}/api/useraction/?user_id=${user_id}&location_id=${location_id}';
    print('++++++++${url}');
    //String url = 'http://localhost:8100/api/useraction/?user_id=${user_id}&location_id=${location_id}';
    final response = await http.get(Uri.parse(url),
      headers: <String, String>{
        'Content-Type': 'application/json; charset=UTF-8',
      },
    );

    if (response.statusCode == 200) {

      cats = json.decode(utf8.decode(response.bodyBytes));
    }
    return cats;
  }



}

